﻿@model IEnumerable<MIMS.Portal.ViewModels.Terminal.TerminalViewModel>
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "فروشگاه‌ها";
}

<section id="merchant-index">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">ترمینال ها</h4>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-hover header-border text-nowrap">
                            <thead class="thead-inverse">
                                <tr>
                                    <th>@Html.DisplayNameFor(model => model.MerchantFullName)</th>
                                    <th>@Html.DisplayNameFor(model => model.BankAccountId)</th>
                                    <th>@Html.DisplayNameFor(model => model.StoreId)</th>
                                    <th>@Html.DisplayNameFor(model => model.TerminalType)</th>
                                    <th>@Html.DisplayNameFor(model => model.DeviceConnectionType)</th>
                                    <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                                    <th class="no-sort"><em class="fa fa-cog"></em></th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model)
                                {
                                    <tr>
                                        <td>@item.MerchantFullName</td>
                                        <td>@item.BankAccountFullName</td>
                                        <td>@item.StoreFullName</td>
                                        <td>@Html.DisplayFor(modelItem => item.TerminalType)</td>
                                        <td>@Html.DisplayFor(modelItem => item.DeviceConnectionType)</td>
                                        <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                                        <td align="center">
                                            <a asp-action="Shaparak" asp-controller="Terminals" asp-route-id="@item.Id" class="btn btn-default" data-toggle="tooltip" title="جزئیات"><i class="fa fa-fw fa-eye"></i></a>
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>

                </div>
                <div class="card-footer">
                    <small>
                        آخرین بروز رسانی لحظاتی پیش
                    </small>
                </div>
            </div>

        </div>
    </div>
</section>